<?php

/**
 * @file
 * Contains \Drupal\past_testhidden\Form\FormNormalButton.
 */

namespace Drupal\past_testhidden\Form;

use Drupal\Component\Render\FormattableMarkup;
use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Displays a form with just an submit button.
 */
class FormNormalButton extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'past_testhidden_form_normal_button';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    drupal_set_message('form handler called by past_testhidden_form_normal_button');
    $form['sample_property'] = array(
      '#type' => 'textfield',
      '#title' => t('Sample Property'),
      '#required' => TRUE,
      '#default_value' => 'sample value',
      '#description' => 'Please enter a dummy value.',
      '#size' => 20,
      '#maxlength' => 20,
    );
    $form['submittable'] = array(
      '#type' => 'button',
      '#value' => 'Submittable',
      '#executes_submit_callback' => TRUE,
      '#submit' => array(array(FormCustomSubmitHandler::class, 'customSubmitHandler')),
    );
    $form['button'] = array(
      '#type' => 'button',
      '#value' => 'Button',
      '#submit' => array(array(FormCustomSubmitHandler::class, 'customSubmitHandler')),
    );
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    drupal_set_message(new FormattableMarkup('global submit handler called by @form_id', array('@form_id' => $form['#form_id'])));
  }

}
