<?php

/**
 * @file
 * Contains \Drupal\past_testhidden\Form\FormThreeButtons.
 */

namespace Drupal\past_testhidden\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Displays a form with just an submit button.
 */
class FormThreeButtons extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'past_testhidden_form_three_buttons';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    drupal_set_message('form handler called by past_testhidden_form_three_buttons');
    $form['sample_property'] = array(
      '#type' => 'textfield',
      '#title' => t('Sample Property'),
      '#required' => TRUE,
      '#default_value' => 'sample value',
      '#description' => 'Please enter a dummy value.',
      '#size' => 20,
      '#maxlength' => 20,
    );
    $form['submit_one'] = array(
      '#type' => 'submit',
      '#value' => 'Button 1',
    );
    $form['submit_two'] = array(
      '#type' => 'submit',
      '#value' => 'Button 2',
    );
    $form['submit_three'] = array(
      '#type' => 'submit',
      '#value' => 'Button 3',
    );
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    drupal_set_message($this->t('The form has been submitted.'));
  }

}
